Subject: Re: [EXT] Re: [PATCH net-next v2 2/9] octeon_ep: poll for control messages

From: Leon Romanovsky <[email-masked]>
Date: Mon, 5 Dec 2022 10:10:34 +0200

On Mon, Dec 05, 2022 at 04:46:31AM +0000, Veerasenareddy Burru wrote:
> 
> 
> > -----Original Message-----
> > From: Leon Romanovsky <[email-masked]>
> > Sent: Thursday, December 1, 2022 12:11 AM
> > To: Veerasenareddy Burru <[email-masked]>
> > Cc: [email-masked]; [email-masked]; Liron Himi
> > <[email-masked]>; Abhijit Ayarekar <[email-masked]>; Sathesh
> > B Edara <[email-masked]>; Satananda Burla <[email-masked]>;
> > [email-masked]; David S. Miller <[email-masked]>; Eric
> > Dumazet <[email-masked]>; Jakub Kicinski <[email-masked]>;
> > Paolo Abeni <[email-masked]>
> > Subject: Re: [EXT] Re: [PATCH net-next v2 2/9] octeon_ep: poll for control
> > messages
> > 
> > On Wed, Nov 30, 2022 at 03:44:30PM +0000, Veerasenareddy Burru wrote:
> > >
> > >
> > > > -----Original Message-----
> > > > From: Leon Romanovsky <[email-masked]>
> > > > Sent: Wednesday, November 30, 2022 1:30 AM
> > > > To: Veerasenareddy Burru <[email-masked]>
> > > > Cc: [email-masked]; [email-masked]; Liron Himi
> > > > <[email-masked]>; Abhijit Ayarekar <[email-masked]>;
> > > > Sathesh B Edara <[email-masked]>; Satananda Burla
> > > > <[email-masked]>; [email-masked]; David S. Miller
> > > > <[email-masked]>; Eric Dumazet <[email-masked]>;
> > Jakub
> > > > Kicinski <[email-masked]>; Paolo Abeni <[email-masked]>
> > > > Subject: [EXT] Re: [PATCH net-next v2 2/9] octeon_ep: poll for
> > > > control messages
> > > >
> > > > External Email
> > > >
> > > > --------------------------------------------------------------------
> > > > -- On Tue, Nov 29, 2022 at 05:09:25AM -0800, Veerasenareddy Burru
> > > > wrote:
> > > > > Poll for control messages until interrupts are enabled.
> > > > > All the interrupts are enabled in ndo_open().
> > > >
> > > > So what are you saying if I have your device and didn't enable
> > > > network device, you will poll forever?
> > > Yes, Leon. It will poll periodically until network interface is enabled.
> > 
> > I don't know if it is acceptable behaviour in netdev, but it doesn't sound right
> > to me. What type of control messages will be sent by FW, which PF should
> > listen to them?
> > 
> 
> These messages include periodic keep alive (heartbeat) messages from FW and control messages from VFs.
> Every PF will be listening for its own control messages.

@netdev, as I said, I don't know if it is valid behaviour in netdev.
Can you please comment?

Thanks